#  rm(list=ls(all=TRUE))
########### First session


data(iris)
# ?iris

str(iris)

iris2 <- iris[, -5]

fit <- lm(Petal.Length ~ Petal.Width, data = iris2)
summary(fit)
with(iris2, plot(Petal.Length ~ Petal.Width))
abline(fit, col = "darkblue", lwd = 3, lty = 4)





Species <- iris[, 5]
col_Species <- c("#7DB0DD",  "#86B875" , "#E495A5")
pairs(iris2, lower.panel = NULL,
		col = col_Species[as.numeric(Species)], 
		pch = 19, cex= 1.4)
par(xpd=TRUE)
legend(x=0, y=.4, cex = 2,
		legend = as.character(levels(Species)),  
		fill=col_Species)
par(xpd=NA)
# fix legend: https://stat.ethz.ch/pipermail/r-help/2001-September/015374.html



hc <- hclust(dist(iris2), method = "complete")
dend <- as.dendrogram(hc)


# install.packages("dendextend")
require(dendextend)
col_clust <- c("burlywood4", "black", "darkgrey")
dend <- color_branches(dend, k=3, 
				col = col_clust,  groupLabels = 3:1)
dend <- color_labels(dend, col= col_Species[as.numeric(Species[order.dendrogram(dend)])])
dend <- hang.dendrogram(dend)
plot(dend)
legend("topright", cex = 1.5,
		legend = as.character(levels(Species)),  
		fill=col_Species)



